package acquirer_mkt_qr

import (
	"net/http"

	"git.i2edu.net/i2/go-zero/rest/httpx"
	"git.i2edu.net/i2/i2-bill-api/internal/logic/acquirer_mkt_qr"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
)

func AcquirerMktQrUpdateHandler(ctx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		l := acquirer_mkt_qr.NewAcquirerMktQrUpdateLogic(r.Context(), ctx)
		resp, err := l.AcquirerMktQrUpdate(r)
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
